# Class CircleTransfer<N>

#### Type Parameters

- #### N extends Network = Network

#### Hierarchy

- CircleTransfer

#### Implements

- WormholeTransfer<CircleTransferProtocol>

- Defined in connect/src/protocols/cctpTransfer.ts:49

#####
Index

### Constructors

constructor

### Properties

_state
attestations?
fromChain
toChain
transfer
txids
wh

### Methods

_fetchCircleAttestation
_fetchWormholeAttestation
completeTransfer
fetchAttestation
getTransferState
initiateTransfer
from
fromCircleMessage
fromTransaction
fromWormholeMessageId
getReceipt
getTransferMessage
getTransferVaa
isTransferComplete
quoteTransfer
track

## Constructors

### `Private` constructor

- new CircleTransfer<N>(wh, transfer, fromChain?, toChain?): CircleTransfer<N>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet" = "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### transfer: CircleTransferDetails

  - ##### `Optional` fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### `Optional` toChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  #### Returns CircleTransfer<N>

  - Defined in connect/src/protocols/cctpTransfer.ts:68

## Properties

### `Private` _state

_state: TransferState

- Defined in connect/src/protocols/cctpTransfer.ts:58

### `Optional` attestations

attestations?: AttestationReceipt<CircleTransferProtocol>[]

- Defined in connect/src/protocols/cctpTransfer.ts:66

### fromChain

fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

- Defined in connect/src/protocols/cctpTransfer.ts:54

### toChain

toChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

- Defined in connect/src/protocols/cctpTransfer.ts:55

### transfer

transfer: CircleTransferDetails

Implementation of WormholeTransfer.transfer

- Defined in connect/src/protocols/cctpTransfer.ts:61

### txids

txids: TransactionId[] = []

- Defined in connect/src/protocols/cctpTransfer.ts:64

### `Private` `Readonly` wh

wh: Wormhole<N>

- Defined in connect/src/protocols/cctpTransfer.ts:52

## Methods

### `Private` _fetchCircleAttestation

- _fetchCircleAttestation(timeout?): Promise<CircleMessageId[]>

- #### Parameters

  - ##### `Optional` timeout: number

  #### Returns Promise<CircleMessageId[]>

  - Defined in connect/src/protocols/cctpTransfer.ts:306

### `Private` _fetchWormholeAttestation

- _fetchWormholeAttestation(timeout?): Promise<WormholeMessageId[]>

- #### Parameters

  - ##### `Optional` timeout: number

  #### Returns Promise<WormholeMessageId[]>

  - Defined in connect/src/protocols/cctpTransfer.ts:287

### completeTransfer

- completeTransfer(signer): Promise<string[]>

- #### Parameters

  - ##### signer: Signer

  #### Returns Promise<string[]>

  Implementation of WormholeTransfer.completeTransfer

  - Defined in connect/src/protocols/cctpTransfer.ts:362

### fetchAttestation

- fetchAttestation(timeout?): Promise<AttestationId[]>

- #### Parameters

  - ##### `Optional` timeout: number

  #### Returns Promise<AttestationId[]>

  Implementation of WormholeTransfer.fetchAttestation

  - Defined in connect/src/protocols/cctpTransfer.ts:341

### getTransferState

- getTransferState(): TransferState

- #### Returns TransferState

  Implementation of WormholeTransfer.getTransferState

  - Defined in connect/src/protocols/cctpTransfer.ts:82

### initiateTransfer

- initiateTransfer(signer): Promise<string[]>

- #### Parameters

  - ##### signer: Signer

  #### Returns Promise<string[]>

  Implementation of WormholeTransfer.initiateTransfer

  - Defined in connect/src/protocols/cctpTransfer.ts:251

### `Static` from

- from<N>(wh, from, timeout?, fromChain?, toChain?): Promise<CircleTransfer<N>>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### from: CircleTransferDetails

  - ##### `Optional` timeout: number

  - ##### `Optional` fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### `Optional` toChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  #### Returns Promise<CircleTransfer<N>>

  - Defined in connect/src/protocols/cctpTransfer.ts:87
- from<N>(wh, from, timeout?, fromChain?, toChain?): Promise<CircleTransfer<N>>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### from: WormholeMessageId

  - ##### `Optional` timeout: number

  - ##### `Optional` fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### `Optional` toChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  #### Returns Promise<CircleTransfer<N>>

  - Defined in connect/src/protocols/cctpTransfer.ts:94
- from<N>(wh, from, timeout?, fromChain?, toChain?): Promise<CircleTransfer<N>>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### from: string

  - ##### `Optional` timeout: number

  - ##### `Optional` fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### `Optional` toChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  #### Returns Promise<CircleTransfer<N>>

  - Defined in connect/src/protocols/cctpTransfer.ts:101
- from<N>(wh, from, timeout?, fromChain?, toChain?): Promise<CircleTransfer<N>>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### from: TransactionId

  - ##### `Optional` timeout: number

  - ##### `Optional` fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### `Optional` toChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  #### Returns Promise<CircleTransfer<N>>

  - Defined in connect/src/protocols/cctpTransfer.ts:108

### `Private` `Static` fromCircleMessage

- fromCircleMessage<N>(wh, message): Promise<CircleTransfer<N>>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### message: string

  #### Returns Promise<CircleTransfer<N>>

  - Defined in connect/src/protocols/cctpTransfer.ts:184

### `Private` `Static` fromTransaction

- fromTransaction<N>(wh, from, timeout, fromChain?): Promise<CircleTransfer<N>>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### from: TransactionId

  - ##### timeout: number

  - ##### `Optional` fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  #### Returns Promise<CircleTransfer<N>>

  - Defined in connect/src/protocols/cctpTransfer.ts:212

### `Private` `Static` fromWormholeMessageId

- fromWormholeMessageId<N>(wh, from, timeout): Promise<CircleTransfer<N>>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### from: WormholeMessageId

  - ##### timeout: number

  #### Returns Promise<CircleTransfer<N>>

  - Defined in connect/src/protocols/cctpTransfer.ts:148

### `Static` getReceipt

- getReceipt<N>(xfer): TransferReceipt<CircleTransferProtocol>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### xfer: CircleTransfer<N>

  #### Returns TransferReceipt<CircleTransferProtocol>

  - Defined in connect/src/protocols/cctpTransfer.ts:497

### `Static` getTransferMessage

- getTransferMessage<N>(fromChain, txid): Promise<CircleMessageId>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### fromChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### txid: string

  #### Returns Promise<CircleMessageId>

  - Defined in connect/src/protocols/cctpTransfer.ts:488

### `Static` getTransferVaa

- getTransferVaa<N>(wh, wormholeMessageId, timeout?): Promise<VAA<"AutomaticCircleBridge:DepositWithPayload"> | VAA<"AutomaticCircleBridge:TransferWithRelay">>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### wormholeMessageId: WormholeMessageId

  - ##### `Optional` timeout: number

  #### Returns Promise<VAA<"AutomaticCircleBridge:DepositWithPayload"> | VAA<"AutomaticCircleBridge:TransferWithRelay">>

  - Defined in connect/src/protocols/cctpTransfer.ts:474

### `Static` isTransferComplete

- isTransferComplete<N>(toChain, attestation): Promise<boolean>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### toChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### attestation: Attestation<CircleTransferProtocol>

  #### Returns Promise<boolean>

  - Defined in connect/src/protocols/cctpTransfer.ts:459

### `Static` quoteTransfer

- quoteTransfer<N>(srcChain, dstChain, transfer): Promise<TransferQuote>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### srcChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### dstChain: ChainContext<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">

  - ##### transfer: CircleTransferDetails

  #### Returns Promise<TransferQuote>

  - Defined in connect/src/protocols/cctpTransfer.ts:407

### `Static` track

- track<N, SC, DC>(wh, receipt, timeout?, _fromChain?, _toChain?): AsyncGenerator<SourceFinalizedTransferReceipt<CircleTransferProtocol, SC, DC> | AttestedTransferReceipt<CircleTransferProtocol, SC, DC> | CompletedTransferReceipt<CircleTransferProtocol, SC, DC>, void, unknown>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### SC extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  - #### DC extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### wh: Wormhole<N>

  - ##### receipt: TransferReceipt<CircleTransferProtocol, SC, DC>

  - ##### timeout: number = DEFAULT_TASK_TIMEOUT

  - ##### `Optional` _fromChain: ChainContext<N, ChainToPlatform<SC>, SC>

  - ##### `Optional` _toChain: ChainContext<N, ChainToPlatform<DC>, DC>

  #### Returns AsyncGenerator<SourceFinalizedTransferReceipt<CircleTransferProtocol, SC, DC> | AttestedTransferReceipt<CircleTransferProtocol, SC, DC> | CompletedTransferReceipt<CircleTransferProtocol, SC, DC>, void, unknown>

  - Defined in connect/src/protocols/cctpTransfer.ts:559

Generated using TypeDoc